import PouchDB from '@/api/PouchDB'

import type { QRCodeDocument, MessageDocument } from '@/types/DBDocumentTypes'

export const qrCodeDbRemote = new PouchDB<QRCodeDocument>('https://hereconnect.condev.ru/api/qr', {
  skip_setup: true,
})

export const qrCodeDbLocal = new PouchDB<QRCodeDocument>('qr')

export const messagesDbLocal = new PouchDB<MessageDocument>('messages')

export const messagesDbRemote = new PouchDB<MessageDocument>(
  'https://hereconnect.condev.ru/api/messages',
  {
    skip_setup: true,
  },
)
